io.agora.rtc

## Class PaddedRawPixelBuffer

- java.lang.Object
- - io.agora.rtc.PaddedRawPixelBuffer

-     public class PaddedRawPixelBuffer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `data`
    `private int` | `format`
    `private int` | `size`
    `private int` | `stride`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaddedRawPixelBuffer()`
    `PaddedRawPixelBuffer(int format, byte[] data, int size, int stride)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()`
    `int` | `getFormat()`
    `int` | `getSize()`
    `int` | `getStride()`
    `void` | `setData(byte[] data)`
    `void` | `setFormat(int format)`
    `void` | `setSize(int size)`
    `void` | `setStride(int stride)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          private int format

    - #### data

          private byte[] data

    - #### size

          private int size

    - #### stride

          private int stride

  - ### Constructor Detail

    - #### PaddedRawPixelBuffer

          public PaddedRawPixelBuffer()

    - #### PaddedRawPixelBuffer

          public PaddedRawPixelBuffer(int format,
                                      byte[] data,
                                      int size,
                                      int stride)

  - ### Method Detail

    - #### getFormat

          public int getFormat()

    - #### setFormat

          public void setFormat(int format)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData(byte[] data)

    - #### getSize

          public int getSize()

    - #### setSize

          public void setSize(int size)

    - #### getStride

          public int getStride()

    - #### setStride

          public void setStride(int stride)